nxt.shuffling

## Enum ShufflingParticipantHome.State

- java.lang.Object
- - java.lang.Enum<ShufflingParticipantHome.State>
  - - nxt.shuffling.ShufflingParticipantHome.State

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ShufflingParticipantHome.State>
  Enclosing class:
    ShufflingParticipantHome

      public static enum ShufflingParticipantHome.State
      extends java.lang.Enum<ShufflingParticipantHome.State>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCELLED`
    `PROCESSED`
    `REGISTERED`
    `VERIFIED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canBecome(ShufflingParticipantHome.State nextState)`
    `byte` | `getCode()`
    `static ShufflingParticipantHome.State` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ShufflingParticipantHome.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REGISTERED

          public static final ShufflingParticipantHome.State REGISTERED

    - #### PROCESSED

          public static final ShufflingParticipantHome.State PROCESSED

    - #### VERIFIED

          public static final ShufflingParticipantHome.State VERIFIED

    - #### CANCELLED

          public static final ShufflingParticipantHome.State CANCELLED

  - ### Method Detail

    - #### values

          public static ShufflingParticipantHome.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ShufflingParticipantHome.State c : ShufflingParticipantHome.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ShufflingParticipantHome.State valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public byte getCode()

    - #### canBecome

          public boolean canBecome(ShufflingParticipantHome.State nextState)